package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.1 failed to install/upgrade: /var/lib/dpkg/info/bcmwl-kernel-source.postinst: 53: Syntax error: "fi" unexpected (expecting ";;")

Bug #793890 reported by Trinh Phuoc Thai on 2011-06-07
398
This bug affects 50 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Undecided
Unassigned
Natty
Critical
Daniel van Vugt

Bug Description

line 53 ( fi ) should be remove from bcmwl-kernel-source.postinst

I removed that line and re-run apt-get upgrade. It seams to work fine

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
NonfreeKernelModules: wl
Architecture: i386
Date: Tue Jun 7 14:24:35 2011
ErrorMessage: subprocess installed post-installation script returned error exit status 2
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
SourcePackage: bcmwl
Title: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Trinh Phuoc Thai (tphuocthai) wrote :
Robert Roth (evfool) on 2011-06-07
Changed in bcmwl (Ubuntu):
status: New → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

This is a regression introduced by the version in natty-proposed.

Changed in bcmwl (Ubuntu):
importance: Undecided → Critical
status: Confirmed → Triaged
tags: added: regression-proposed
summary: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.1 failed to
install/upgrade: subprocess installed post-installation script returned
- error exit status 2
+ error exit status 2 - /var/lib/dpkg/info/bcmwl-kernel-source.postinst:
+ 53: Syntax error: "fi" unexpected (expecting ";;")
summary: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.1 failed to
- install/upgrade: subprocess installed post-installation script returned
- error exit status 2 - /var/lib/dpkg/info/bcmwl-kernel-source.postinst:
- 53: Syntax error: "fi" unexpected (expecting ";;")
+ install/upgrade: /var/lib/dpkg/info/bcmwl-kernel-source.postinst: 53:
+ Syntax error: "fi" unexpected (expecting ";;")
Changed in bcmwl (Ubuntu):
status: Triaged → Invalid
Changed in bcmwl (Ubuntu Natty):
status: New → Triaged
importance: Undecided → Critical
Changed in bcmwl (Ubuntu):
importance: Critical → Undecided
Jean-Baptiste Lallement (jibel) wrote :

adding a task for Natty since it's the only release affected. This report will be closed on bcmwl is removed from natty-proposed.
The safest way to fix this issue for users who already upgraded is to downgrade to the version in natty.

To install the package in natty, open a terminal and run the command:
$ apt-get install bcmwl-kernel-source=5.100.82.38+bdcom-0ubuntu3

Pavel Selivanov (muiriled) wrote :

Removing "fi" from line 53 of /var/lib/dpkg/info/bcmwl-kernel-source.postinst resolved the issue and apt-get upgrade correctly finished the installation.

I did the thing on terminal and hopefully it installed but all I know is
since upgrading I can't access wifi?
On Jun 7, 2011 11:35 AM, "Jean-Baptiste Lallement" <email address hidden>
wrote:
>
> adding a task for Natty since it's the only release affected. This report
will be closed on bcmwl is removed from natty-proposed.
> The safest way to fix this issue for users who already upgraded is to
downgrade to the version in natty.
>
> To install the package in natty, open a terminal and run the command:
> $ apt-get install bcmwl-kernel-source=5.100.82.38+bdcom-0ubuntu3
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (793928).
> https://bugs.launchpad.net/bugs/793890
>
> Title:
> package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.1 failed to
> install/upgrade: /var/lib/dpkg/info/bcmwl-kernel-source.postinst: 53:
> Syntax error: "fi" unexpected (expecting ";;")
>
> Status in “bcmwl” package in Ubuntu:
> Invalid
> Status in “bcmwl” source package in Natty:
> Triaged
>
> Bug description:
> line 53 ( fi ) should be remove from bcmwl-kernel-source.postinst
>
> I removed that line and re-run apt-get upgrade. It seams to work fine
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> NonfreeKernelModules: wl
> Architecture: i386
> Date: Tue Jun 7 14:24:35 2011
> ErrorMessage: subprocess installed post-installation script returned
error exit status 2
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
(20110427.1)
> SourcePackage: bcmwl
> Title: package bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.1 failed to
install/upgrade: subprocess installed post-installation script returned
error exit status 2
> UpgradeStatus: No upgrade log present (probably fresh install)

Daniel van Vugt (vanvugt) wrote :

What is the branch this was built from?

I can't see the problem in the branch I proposed...
https://code.launchpad.net/~vanvugt/ubuntu/oneiric/bcmwl/fix-776165/+merge/63191

hello

thak you for this information..

I did the installation for a few minutes, and it works fine.

(sorry for my english, I'm french)

Le 07/06/2011 12:25, Jean-Baptiste Lallement a écrit :
> adding a task for Natty since it's the only release affected. This report will be closed on bcmwl is removed from natty-proposed.
> The safest way to fix this issue for users who already upgraded is to downgrade to the version in natty.
>
> To install the package in natty, open a terminal and run the command:
> $ apt-get install bcmwl-kernel-source=5.100.82.38+bdcom-0ubuntu3
>

Daniel van Vugt (vanvugt) wrote :

Never mind. Found it was the merger's own mistake in lp:ubuntu/natty-proposed/bcmwl

My original proposal is still correct.

Martin Pitt (pitti) wrote :

I removed the faulty version 5.100.82.38+bdcom-0ubuntu3.1 from natty-proposed.

Jean-Baptiste Lallement (jibel) wrote :

I'm closing this report due to previous comment.

Changed in bcmwl (Ubuntu Natty):
status: Triaged → Invalid
Daniel van Vugt (vanvugt) wrote :

Actually, the bug is not invalid. The broken merge is still at the head of lp:ubuntu/natty-proposed/bcmwl

Since the persons responsible for this error aren't fixing it, I will take over...

Changed in bcmwl (Ubuntu Natty):
assignee: nobody → Daniel van Vugt (vanvugt)
status: Invalid → In Progress
Daniel van Vugt (vanvugt) wrote :

Oh no... now this bug is being held up by Launchpad bug 807337.

Martin Pitt (pitti) wrote :

Note: no need to wait on UDD branches -- you can just update packages the old way and attach a debdiff for sponsoring here.

Daniel van Vugt (vanvugt) wrote :

You mean something like this ^^^ ?

Daniel van Vugt (vanvugt) wrote :

Forget the debdiff. Launchpad has been revived and the merge proposal is fixed. Look at Related branches...

Hello Trinh, or anyone else affected,

Accepted bcmwl into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in bcmwl (Ubuntu Natty):
status: In Progress → Fix Committed
tags: added: verification-needed
Daniel van Vugt (vanvugt) wrote :

Verified fixed in 5.100.82.38+bdcom-0ubuntu3.2

I did notice a relevant (LaunchPad) bug though. LaunchPad shows the changelog incorrectly with wrong author/date lines here:
https://launchpad.net/ubuntu/+source/bcmwl/5.100.82.38+bdcom-0ubuntu3.2

The changelog text is correct in the source code still:
http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/natty/bcmwl/natty-proposed/view/head:/debian/changelog

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bcmwl - 5.100.82.38+bdcom-0ubuntu3.2

---------------
bcmwl (5.100.82.38+bdcom-0ubuntu3.2) natty-proposed; urgency=low

  * debian/bcmwl-kernel-source.postinst: fix merge mistake in the previous
    revision resulting in failure to install (LP: #793890)

bcmwl (5.100.82.38+bdcom-0ubuntu3.1) natty-proposed; urgency=low

  [ Daniel van Vugt ]
  * debian/bcmwl-kernel-source.prerm:
    - Don't error out if we can't remove bcmwl module. LP: #776439
  * debian/bcmwl-kernel-source.postinst:
    - Unconditionally update the blacklist (i.e. even on upgrade).
      LP: #776165
 -- Daniel van Vugt <email address hidden> Fri, 08 Jul 2011 11:42:26 +0800

Changed in bcmwl (Ubuntu Natty):
status: Fix Committed → Fix Released

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- David

David Weatherall
--
Cambridge, United Kingdom

Confirm that you know David Weatherall:
https://www.linkedin.com/e/6wnr36-h02d6c5d-4v/isd/6379581770/Vm3Coq1G/?hs=false&tok=3h1zCt12VYR581

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/6wnr36-h02d6c5d-4v/kO0u0xxhXsh6_7ZRQxDz5olh448Vzwn-_tIa_DL/goo/793890%40bugs%2Elaunchpad%2Enet/20061/I2215087347_1/?hs=false&tok=0NrL5O-adYR581

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.